Method: organizations.locations.securityProfileGroups.list

列出给定组织和位置中的 SecurityProfileGroup。

HTTP 请求

GET https://networksecurity.googleapis.com/v1beta1/{parent=organizations/*/locations/*}/securityProfileGroups

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。要列出的 SecurityProfileGroup 所在的项目或组织及其位置,需按照 projects|organizations/*/locations/{location} 格式指定。

查询参数

参数
pageSize

integer

每次调用返回的 SecurityProfileGroup 的数量上限。

pageToken

string

最后一个 ListSecurityProfileGroupsResponse 返回的值,表示这是之前的 securityProfileGroups.list 调用的延续,并且系统应返回下一页的数据。

请求正文

请求正文必须为空。

响应正文

securityProfileGroups.list 方法返回的响应。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "securityProfileGroups": [
    {
      object (SecurityProfileGroup)
    }
  ],
  "nextPageToken": string
}
字段
securityProfileGroups[]

object (SecurityProfileGroup)

SecurityProfileGroup 资源列表。

nextPageToken

string

如果结果数量可能多于此响应中显示的数量,则包含 nextPageToken。如需获取下一组结果,请再次使用 nextPageToken 的值作为 pageToken 来调用此方法。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅身份验证概览